org.cybergarage.upnp.ssdp

## Class SSDPSearchResponseSocketList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<SSDPSearchResponseSocket>
      - - org.cybergarage.upnp.ssdp.SSDPSearchResponseSocketList

- All Implemented Interfaces:
    Serializable, Cloneable, Iterable<SSDPSearchResponseSocket>, Collection<SSDPSearchResponseSocket>, List<SSDPSearchResponseSocket>, RandomAccess

      public class SSDPSearchResponseSocketList
      extends Vector<SSDPSearchResponseSocket>

  A list of SSDP search response sockets for handling SSDP search responses.
  This class manages multiple `SSDPSearchResponseSocket` instances to send SSDP search requests and receive responses across different network interfaces.
  Version:
    1.8
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.Vector

      `capacityIncrement, elementCount, elementData`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSDPSearchResponseSocketList()`
    `SSDPSearchResponseSocketList(InetAddress[] binds)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `SSDPSearchResponseSocket` | `getSSDPSearchResponseSocket(int n)`
    `boolean` | `open()`
    `boolean` | `open(int port)`
    `boolean` | `post(SSDPSearchRequest req)`
    `void` | `setControlPoint(ControlPoint ctrlPoint)`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, removeRange, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### SSDPSearchResponseSocketList

          public SSDPSearchResponseSocketList()

    - #### SSDPSearchResponseSocketList

          public SSDPSearchResponseSocketList(InetAddress[] binds)

      Parameters:
        `binds` - The host to bind.Use `null` for the default behavior

  - ### Method Detail

    - #### close

          public void close()

    - #### getSSDPSearchResponseSocket

          public SSDPSearchResponseSocket getSSDPSearchResponseSocket(int n)

    - #### open

          public boolean open()

    - #### open

          public boolean open(int port)

    - #### post

          public boolean post(SSDPSearchRequest req)

    - #### setControlPoint

          public void setControlPoint(ControlPoint ctrlPoint)

    - #### start

          public void start()

    - #### stop

          public void stop()